diff options
author | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 13:49:04 -0700 |
---|---|---|
committer | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 17:38:18 -0700 |
commit | 56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch) | |
tree | 3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-java/hp-jdk-bin | |
download | gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2 gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip |
proj/gentoo: Initial commit
This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.
This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.
Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-java/hp-jdk-bin')
-rw-r--r-- | dev-java/hp-jdk-bin/Manifest | 2 | ||||
-rw-r--r-- | dev-java/hp-jdk-bin/files/hp-jdk-bin-1.6.env | 15 | ||||
-rw-r--r-- | dev-java/hp-jdk-bin/hp-jdk-bin-1.6.0.05.ebuild | 145 | ||||
-rw-r--r-- | dev-java/hp-jdk-bin/metadata.xml | 11 |
4 files changed, 173 insertions, 0 deletions
diff --git a/dev-java/hp-jdk-bin/Manifest b/dev-java/hp-jdk-bin/Manifest new file mode 100644 index 000000000000..cfda34385af0 --- /dev/null +++ b/dev-java/hp-jdk-bin/Manifest @@ -0,0 +1,2 @@ +DIST jdk6_16005_ia.depot 138004480 SHA256 2ce897f22aa9db11ff1cdda14475f36b5b761e0c024cbbd9313e5f2da44e067f +DIST jdk6_16005_pa.depot 99102720 SHA256 4ed271f34d28194f83ca7271d91ca1731502c93811c9fb052aa102539c3da7f5 diff --git a/dev-java/hp-jdk-bin/files/hp-jdk-bin-1.6.env b/dev-java/hp-jdk-bin/files/hp-jdk-bin-1.6.env new file mode 100644 index 000000000000..3d5c7bfb7c01 --- /dev/null +++ b/dev-java/hp-jdk-bin/files/hp-jdk-bin-1.6.env @@ -0,0 +1,15 @@ +# Copyright 2009 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +VERSION="HP JDK/JRE @PV@" +JAVA_HOME="@GENTOO_PORTAGE_EPREFIX@/opt/@P@" +JDK_HOME="@GENTOO_PORTAGE_EPREFIX@/opt/@P@" +JAVAC="${JAVA_HOME}/bin/javac" +PATH="${JAVA_HOME}/bin:${JAVA_HOME}/jre/bin" +ROOTPATH="${JAVA_HOME}/bin:${JAVA_HOME}/jre/bin" +LDPATH="@GENTOO_PORTAGE_EPREFIX@/opt/@P@/jre/lib/@PLATFORM@:@GENTOO_PORTAGE_EPREFIX@/usr/lib" +PROVIDES_TYPE="JDK JRE" +PROVIDES_VERSION="1.6" +GENERATION="2" +ENV_VARS="JAVA_HOME JDK_HOME JAVAC PATH ROOTPATH LDPATH" diff --git a/dev-java/hp-jdk-bin/hp-jdk-bin-1.6.0.05.ebuild b/dev-java/hp-jdk-bin/hp-jdk-bin-1.6.0.05.ebuild new file mode 100644 index 000000000000..9baf695820c5 --- /dev/null +++ b/dev-java/hp-jdk-bin/hp-jdk-bin-1.6.0.05.ebuild @@ -0,0 +1,145 @@ +# Copyright 1999-2010 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +EAPI="2" + +inherit java-vm-2 versionator eutils + +DESCRIPTION="HP JDK/JRE and Plug-In" +HOMEPAGE="http://www.hp.com/go/java" + +LICENSE="HP-JDKJRE6" +SLOT="$(get_version_component_range 1-2)" +KEYWORDS="-* ~hppa-hpux ~ia64-hpux" # ~hppa64-hpux ~ia64w-hpux + +IUSE="doc examples nsplugin" + +RDEPEND="" +DEPEND="" + +JAVA_RELEASE=$(get_after_major_version) +HP_RELEASE_NAME="${JAVA_RELEASE} - Oct 09" +MY_PV=$(delete_all_version_separators ${JAVA_RELEASE}) + +DOWNLOADPAGE="https://h20392.www2.hp.com/portal/swdepot/try.do?productNumber=JDKJRE${MY_PV}" + +RESTRICT="fetch" + +PA_JDK_DIST="jdk6_1${MY_PV}_pa.depot" +IA_JDK_DIST="jdk6_1${MY_PV}_ia.depot" + +SRC_URI=" + hppa-hpux? ( ${PA_JDK_DIST} ) + ia64-hpux? ( ${IA_JDK_DIST} ) +" +# hppa64-hpux? ( ${PA_JDK_DIST} ) +# ia64w-hpux? ( ${IA_JDK_DIST} ) + +S=${WORKDIR} + +# not for metadata use: +use hppa-hpux && JDK_DIST=${PA_JDK_DIST} +use ia64-hpux && JDK_DIST=${IA_JDK_DIST} +#use hppa64-hpux && JDK_DIST=${PA_JDK_DIST} +#use ia64w-hpux && JDK_DIST=${IA_JDK_DIST} + +pkg_nofetch() { + einfo "Due to license restrictions, we cannot redistribute or fetch the distfiles." + einfo "Please visit" + einfo " ${DOWNLOADPAGE}" + einfo "select 'Software specification'" + use hppa-hpux && + einfo " PA-RISC JDK ${HP_RELEASE_NAME}" + use ia64-hpux && + einfo " Itanium(R) JDK ${HP_RELEASE_NAME}" + einfo "follow the download instructions, and store the downloaded file as" + einfo " ${DISTDIR}/${JDK_DIST}" + einfo "Then restart emerge: 'emerge --resume'" +} + +src_unpack() { + local status=() diag= + einfo "unpacking ${A}" + # .depot file contains 0444 directory permissions, + # which disallows tar to unpack files into them, + # so we have to create the directory tree first. + tar tvf "${DISTDIR}"/${A} 2>"${T}"/tar.err | + awk '{ if (substr($1,1,1) == "d") { print $6 } }' | + xargs mkdir -p . + status=(${PIPESTATUS[@]}) + [[ ${status[0]} == 0 ]] || cat "${T}"/tar.err >&2 + [[ ${status[0]} == 0 ]] || diag="${diag}${diag:+, }tar list" + [[ ${status[1]} == 0 ]] || diag="${diag}${diag:+, }filter dirs" + [[ ${status[2]} == 0 ]] || diag="${diag}${diag:+, }create dirs" + [[ ${status[@]} == "0 0 0" ]] || die "unpack failed (${diag})" + + # .depot file is plain tar file, but each contained file + # is gzip'd itself. But they do not have the .gz suffix. + # We do rename and gunzip in parallel for performance. + tar xvf "${DISTDIR}"/${A} 2>"${T}"/tar.err | + ( + echo 'dollar=$$' + echo '.PHONY: unzip' + echo 'default: unzip' + while read f; do + [[ ${f} == */ ]] && continue # ignore dirs + [[ ${f} == J* ]] || continue # only for Jre*/ and Jdk*/ + # there is some "opt/java6/demo/applets/Blink/Blink$1.class" + f=${f//\$/\$\(dollar\)} + echo ".PHONY: ${f}" + echo "unzip: ${f}" + echo "${f}:" + echo " @mv '${f}' '${f}.gz'" + echo " @gunzip '${f}.gz'" + done + ) | + emake -f - unzip + status=(${PIPESTATUS[@]}) + diag= + [[ ${status[0]} == 0 ]] || cat "${T}"/tar.err >&2 + [[ ${status[0]} == 0 ]] || diag="${diag}${diag:+, }tar extract" + [[ ${status[1]} == 0 ]] || diag="${diag}${diag:+, }create makefile for unzip" + [[ ${status[2]} == 0 ]] || diag="${diag}${diag:+, }make unzip" + [[ ${status[@]} == "0 0 0" ]] || die "unpack failed (${diag})" + eend 0 +} + +depot-arch() { + use hppa-hpux && echo PA20 + use ia64-hpux && echo IPF32 +# use hppa64-hpux && echo PA20W +# use ia64w-hpux && echo IPF64 +} + +src_install() { + use prefix || local EPREFIX= ED=${D} + dodir / || die + cp -pR Jre*/JRE*-{COM,$(depot-arch){,-HS}}/opt "${ED}" || die + cp -pR Jdk*/JDK*-{COM,$(depot-arch)}/opt "${ED}" || die + ! use doc || cp -pR Jre*/JRE*-COM-DOC/opt "${ED}" || die + ! use examples || cp -pR Jdk*/JDK*-DEMO/opt "${ED}" || die + + mv "${ED}"/opt/java$(get_version_component_range 2) "${ED}"/opt/${P} || die "rename failed" + + if use nsplugin; then + local plugin="/opt/${P}/jre/plugin/$(get_system_arch)/mozilla/libjavaplugin_oji$(get_libname)" + install_mozilla_plugin "${plugin}" + fi + + local desktop_in="${ED}/opt/${P}/jre/plugin/desktop/sun_java.desktop" + if [[ -f "${desktop_in}" ]]; then + local desktop_out="${T}/ibm_jdk-${SLOT}.desktop" + # install control panel for Gnome/KDE + sed -e "s#\(Name=\)Java#\1Java Control Panel for HP JDK/JRE ${SLOT}#" \ + -e "s#Exec=.*#Exec=${EPREFIX}/opt/${P}/jre/bin/jcontrol#" \ + -e "s#Icon=.*#Icon=${EPREFIX}/opt/${P}/jre/plugin/desktop/sun_java.png#" \ + "${desktop_in}" > \ + "${desktop_out}" || die + + domenu "${desktop_out}" || die + fi + + set_java_env + java-vm_revdep-mask +} diff --git a/dev-java/hp-jdk-bin/metadata.xml b/dev-java/hp-jdk-bin/metadata.xml new file mode 100644 index 000000000000..53104d360b69 --- /dev/null +++ b/dev-java/hp-jdk-bin/metadata.xml @@ -0,0 +1,11 @@ +<?xml version="1.0" encoding="UTF-8"?> +<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd"> +<pkgmetadata> + <maintainer> + <email>haubi@gentoo.org</email> + <name>Michael Haubenwallner</name> + </maintainer> + <longdescription lang="en"> + </longdescription> +</pkgmetadata> + |